Winnetwk.ConnectFlag (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Winnetwk, class: ConnectFlag

Package com.sun.jna.platform.win32

# Class Winnetwk.ConnectFlag

java.lang.Object
com.sun.jna.platform.win32.Winnetwk.ConnectFlag

Enclosing class:
  Winnetwk

public class Winnetwk.ConnectFlag extends Object
A set of bit flags describing how the resource can be used. Note that this member can be specified only if the dwScope member is equal to RESOURCE_GLOBALNET. This member can be one of the following values defined in the Winnetwk.h header file. NOTE: This are for the dwUsage member of NetResource

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONNECT_CMD_SAVECRED`
  If this flag is set, and the operating system prompts for a credential, the credential should be saved by the credential manager.
  `static final int`
  `CONNECT_COMMANDLINE`
  If this flag is set, the operating system prompts the user for authentication using the command line instead of a graphical user interface (GUI).
  `static final int`
  `CONNECT_INTERACTIVE`
  If this flag is set, the operating system may interact with the user for authentication purposes.
  `static final int`
  `CONNECT_LOCALDRIVE`
  If this flag is set, the connection was made using a local device redirection.
  `static final int`
  `CONNECT_PROMPT`
  This flag instructs the system not to use any default settings for user names or passwords without offering the user the opportunity to supply an alternative.
  `static final int`
  `CONNECT_REDIRECT`
  This flag forces the redirection of a local device when making the connection.
  `static final int`
  `CONNECT_UPDATE_PROFILE`
  This flag instructs the operating system to store the network resource connection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectFlag()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONNECT_UPDATE_PROFILE

    public static final int CONNECT_UPDATE_PROFILE
    This flag instructs the operating system to store the network resource connection. If this bit flag is set, the operating system automatically attempts to restore the connection when the user logs on. The system remembers only successful connections that redirect local devices. It does not remember connections that are unsuccessful or deviceless connections. (A deviceless connection occurs when lpLocalName is NULL or when it points to an empty string.) If this bit flag is clear, the operating system does not automatically restore the connection at logon.
    See Also:
      - Constant Field Values

  - ### CONNECT_INTERACTIVE

    public static final int CONNECT_INTERACTIVE
    If this flag is set, the operating system may interact with the user for authentication purposes.
    See Also:
      - Constant Field Values

  - ### CONNECT_PROMPT

    public static final int CONNECT_PROMPT
    This flag instructs the system not to use any default settings for user names or passwords without offering the user the opportunity to supply an alternative. This flag is ignored unless CONNECT_INTERACTIVE is also set.
    See Also:
      - Constant Field Values

  - ### CONNECT_REDIRECT

    public static final int CONNECT_REDIRECT
    This flag forces the redirection of a local device when making the connection. If the lpLocalName member of NETRESOURCE specifies a local device to redirect, this flag has no effect, because the operating system still attempts to redirect the specified device. When the operating system automatically chooses a local device, the dwType member must not be equal to RESOURCETYPE_ANY. If this flag is not set, a local device is automatically chosen for redirection only if the network requires a local device to be redirected. Windows XP: When the system automatically assigns network drive letters, letters are assigned beginning with Z:, then Y:, and ending with C:. This reduces collision between per-logon drive letters (such as network drive letters) and global drive letters (such as disk drives). Note that previous releases assigned drive letters beginning with C: and ending with Z:.
    See Also:
      - Constant Field Values

  - ### CONNECT_LOCALDRIVE

    public static final int CONNECT_LOCALDRIVE
    If this flag is set, the connection was made using a local device redirection. If the lpAccessName parameter points to a buffer, the local device name is copied to the buffer.
    See Also:
      - Constant Field Values

  - ### CONNECT_COMMANDLINE

    public static final int CONNECT_COMMANDLINE
    If this flag is set, the operating system prompts the user for authentication using the command line instead of a graphical user interface (GUI). This flag is ignored unless CONNECT_INTERACTIVE is also set. Windows 2000/NT and Windows Me/98/95: This value is not supported.
    See Also:
      - Constant Field Values

  - ### CONNECT_CMD_SAVECRED

    public static final int CONNECT_CMD_SAVECRED
    If this flag is set, and the operating system prompts for a credential, the credential should be saved by the credential manager. If the credential manager is disabled for the caller's logon session, or if the network provider does not support saving credentials, this flag is ignored. This flag is also ignored unless you set the CONNECT_COMMANDLINE flag. Windows 2000/NT and Windows Me/98/95: This value is not supported.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectFlag

    public ConnectFlag()